import { ATN } from "antlr4ts/atn/ATN";
import { CharStream } from "antlr4ts/CharStream";
import { Lexer } from "antlr4ts/Lexer";
import { Vocabulary } from "antlr4ts/Vocabulary";
export declare class ApexLexer extends Lexer {
    static readonly ABSTRACT = 1;
    static readonly AFTER = 2;
    static readonly BEFORE = 3;
    static readonly BREAK = 4;
    static readonly CATCH = 5;
    static readonly CLASS = 6;
    static readonly CONTINUE = 7;
    static readonly DELETE = 8;
    static readonly DO = 9;
    static readonly ELSE = 10;
    static readonly ENUM = 11;
    static readonly EXTENDS = 12;
    static readonly FINAL = 13;
    static readonly FINALLY = 14;
    static readonly FOR = 15;
    static readonly GET = 16;
    static readonly GLOBAL = 17;
    static readonly IF = 18;
    static readonly IMPLEMENTS = 19;
    static readonly INHERITED = 20;
    static readonly INSERT = 21;
    static readonly INSTANCEOF = 22;
    static readonly INTERFACE = 23;
    static readonly MERGE = 24;
    static readonly NEW = 25;
    static readonly NULL = 26;
    static readonly ON = 27;
    static readonly OVERRIDE = 28;
    static readonly PRIVATE = 29;
    static readonly PROTECTED = 30;
    static readonly PUBLIC = 31;
    static readonly RETURN = 32;
    static readonly SYSTEMRUNAS = 33;
    static readonly SET = 34;
    static readonly SHARING = 35;
    static readonly STATIC = 36;
    static readonly SUPER = 37;
    static readonly SWITCH = 38;
    static readonly TESTMETHOD = 39;
    static readonly THIS = 40;
    static readonly THROW = 41;
    static readonly TRANSIENT = 42;
    static readonly TRIGGER = 43;
    static readonly TRY = 44;
    static readonly UNDELETE = 45;
    static readonly UPDATE = 46;
    static readonly UPSERT = 47;
    static readonly VIRTUAL = 48;
    static readonly VOID = 49;
    static readonly WEBSERVICE = 50;
    static readonly WHEN = 51;
    static readonly WHILE = 52;
    static readonly WITH = 53;
    static readonly WITHOUT = 54;
    static readonly LIST = 55;
    static readonly MAP = 56;
    static readonly SELECT = 57;
    static readonly COUNT = 58;
    static readonly FROM = 59;
    static readonly AS = 60;
    static readonly USING = 61;
    static readonly SCOPE = 62;
    static readonly WHERE = 63;
    static readonly ORDER = 64;
    static readonly BY = 65;
    static readonly LIMIT = 66;
    static readonly SOQLAND = 67;
    static readonly SOQLOR = 68;
    static readonly NOT = 69;
    static readonly AVG = 70;
    static readonly COUNT_DISTINCT = 71;
    static readonly MIN = 72;
    static readonly MAX = 73;
    static readonly SUM = 74;
    static readonly TYPEOF = 75;
    static readonly END = 76;
    static readonly THEN = 77;
    static readonly LIKE = 78;
    static readonly IN = 79;
    static readonly INCLUDES = 80;
    static readonly EXCLUDES = 81;
    static readonly ASC = 82;
    static readonly DESC = 83;
    static readonly NULLS = 84;
    static readonly FIRST = 85;
    static readonly LAST = 86;
    static readonly GROUP = 87;
    static readonly ALL = 88;
    static readonly ROWS = 89;
    static readonly VIEW = 90;
    static readonly HAVING = 91;
    static readonly ROLLUP = 92;
    static readonly TOLABEL = 93;
    static readonly OFFSET = 94;
    static readonly DATA = 95;
    static readonly CATEGORY = 96;
    static readonly AT = 97;
    static readonly ABOVE = 98;
    static readonly BELOW = 99;
    static readonly ABOVE_OR_BELOW = 100;
    static readonly SECURITY_ENFORCED = 101;
    static readonly REFERENCE = 102;
    static readonly CUBE = 103;
    static readonly FORMAT = 104;
    static readonly TRACKING = 105;
    static readonly VIEWSTAT = 106;
    static readonly CUSTOM = 107;
    static readonly STANDARD = 108;
    static readonly DISTANCE = 109;
    static readonly GEOLOCATION = 110;
    static readonly CALENDAR_MONTH = 111;
    static readonly CALENDAR_QUARTER = 112;
    static readonly CALENDAR_YEAR = 113;
    static readonly DAY_IN_MONTH = 114;
    static readonly DAY_IN_WEEK = 115;
    static readonly DAY_IN_YEAR = 116;
    static readonly DAY_ONLY = 117;
    static readonly FISCAL_MONTH = 118;
    static readonly FISCAL_QUARTER = 119;
    static readonly FISCAL_YEAR = 120;
    static readonly HOUR_IN_DAY = 121;
    static readonly WEEK_IN_MONTH = 122;
    static readonly WEEK_IN_YEAR = 123;
    static readonly CONVERT_TIMEZONE = 124;
    static readonly YESTERDAY = 125;
    static readonly TODAY = 126;
    static readonly TOMORROW = 127;
    static readonly LAST_WEEK = 128;
    static readonly THIS_WEEK = 129;
    static readonly NEXT_WEEK = 130;
    static readonly LAST_MONTH = 131;
    static readonly THIS_MONTH = 132;
    static readonly NEXT_MONTH = 133;
    static readonly LAST_90_DAYS = 134;
    static readonly NEXT_90_DAYS = 135;
    static readonly LAST_N_DAYS_N = 136;
    static readonly NEXT_N_DAYS_N = 137;
    static readonly N_DAYS_AGO_N = 138;
    static readonly NEXT_N_WEEKS_N = 139;
    static readonly LAST_N_WEEKS_N = 140;
    static readonly N_WEEKS_AGO_N = 141;
    static readonly NEXT_N_MONTHS_N = 142;
    static readonly LAST_N_MONTHS_N = 143;
    static readonly N_MONTHS_AGO_N = 144;
    static readonly THIS_QUARTER = 145;
    static readonly LAST_QUARTER = 146;
    static readonly NEXT_QUARTER = 147;
    static readonly NEXT_N_QUARTERS_N = 148;
    static readonly LAST_N_QUARTERS_N = 149;
    static readonly N_QUARTERS_AGO_N = 150;
    static readonly THIS_YEAR = 151;
    static readonly LAST_YEAR = 152;
    static readonly NEXT_YEAR = 153;
    static readonly NEXT_N_YEARS_N = 154;
    static readonly LAST_N_YEARS_N = 155;
    static readonly N_YEARS_AGO_N = 156;
    static readonly THIS_FISCAL_QUARTER = 157;
    static readonly LAST_FISCAL_QUARTER = 158;
    static readonly NEXT_FISCAL_QUARTER = 159;
    static readonly NEXT_N_FISCAL_QUARTERS_N = 160;
    static readonly LAST_N_FISCAL_QUARTERS_N = 161;
    static readonly N_FISCAL_QUARTERS_AGO_N = 162;
    static readonly THIS_FISCAL_YEAR = 163;
    static readonly LAST_FISCAL_YEAR = 164;
    static readonly NEXT_FISCAL_YEAR = 165;
    static readonly NEXT_N_FISCAL_YEARS_N = 166;
    static readonly LAST_N_FISCAL_YEARS_N = 167;
    static readonly N_FISCAL_YEARS_AGO_N = 168;
    static readonly DateLiteral = 169;
    static readonly DateTimeLiteral = 170;
    static readonly IntegralCurrencyLiteral = 171;
    static readonly FIND = 172;
    static readonly EMAIL = 173;
    static readonly NAME = 174;
    static readonly PHONE = 175;
    static readonly SIDEBAR = 176;
    static readonly FIELDS = 177;
    static readonly METADATA = 178;
    static readonly PRICEBOOKID = 179;
    static readonly NETWORK = 180;
    static readonly SNIPPET = 181;
    static readonly TARGET_LENGTH = 182;
    static readonly DIVISION = 183;
    static readonly RETURNING = 184;
    static readonly LISTVIEW = 185;
    static readonly FindLiteral = 186;
    static readonly FindLiteralAlt = 187;
    static readonly IntegerLiteral = 188;
    static readonly LongLiteral = 189;
    static readonly NumberLiteral = 190;
    static readonly BooleanLiteral = 191;
    static readonly StringLiteral = 192;
    static readonly NullLiteral = 193;
    static readonly LPAREN = 194;
    static readonly RPAREN = 195;
    static readonly LBRACE = 196;
    static readonly RBRACE = 197;
    static readonly LBRACK = 198;
    static readonly RBRACK = 199;
    static readonly SEMI = 200;
    static readonly COMMA = 201;
    static readonly DOT = 202;
    static readonly ASSIGN = 203;
    static readonly GT = 204;
    static readonly LT = 205;
    static readonly BANG = 206;
    static readonly TILDE = 207;
    static readonly QUESTIONDOT = 208;
    static readonly QUESTION = 209;
    static readonly COLON = 210;
    static readonly EQUAL = 211;
    static readonly TRIPLEEQUAL = 212;
    static readonly NOTEQUAL = 213;
    static readonly LESSANDGREATER = 214;
    static readonly TRIPLENOTEQUAL = 215;
    static readonly AND = 216;
    static readonly OR = 217;
    static readonly INC = 218;
    static readonly DEC = 219;
    static readonly ADD = 220;
    static readonly SUB = 221;
    static readonly MUL = 222;
    static readonly DIV = 223;
    static readonly BITAND = 224;
    static readonly BITOR = 225;
    static readonly CARET = 226;
    static readonly MAPTO = 227;
    static readonly ADD_ASSIGN = 228;
    static readonly SUB_ASSIGN = 229;
    static readonly MUL_ASSIGN = 230;
    static readonly DIV_ASSIGN = 231;
    static readonly AND_ASSIGN = 232;
    static readonly OR_ASSIGN = 233;
    static readonly XOR_ASSIGN = 234;
    static readonly LSHIFT_ASSIGN = 235;
    static readonly RSHIFT_ASSIGN = 236;
    static readonly URSHIFT_ASSIGN = 237;
    static readonly ATSIGN = 238;
    static readonly Identifier = 239;
    static readonly WS = 240;
    static readonly DOC_COMMENT = 241;
    static readonly COMMENT = 242;
    static readonly LINE_COMMENT = 243;
    static readonly WHITESPACE_CHANNEL = 2;
    static readonly COMMENT_CHANNEL = 3;
    static readonly channelNames: string[];
    static readonly modeNames: string[];
    static readonly ruleNames: string[];
    private static readonly _LITERAL_NAMES;
    private static readonly _SYMBOLIC_NAMES;
    static readonly VOCABULARY: Vocabulary;
    get vocabulary(): Vocabulary;
    constructor(input: CharStream);
    get grammarFileName(): string;
    get ruleNames(): string[];
    get serializedATN(): string;
    get channelNames(): string[];
    get modeNames(): string[];
    private static readonly _serializedATNSegments;
    private static readonly _serializedATNSegment0;
    private static readonly _serializedATNSegment1;
    private static readonly _serializedATNSegment2;
    private static readonly _serializedATNSegment3;
    private static readonly _serializedATNSegment4;
    static readonly _serializedATN: string;
    static __ATN: ATN;
    static get _ATN(): ATN;
}
