import { ANTLRErrorListener, RecognitionException, Recognizer, Token } from "antlr4ts";
import { ApexParser } from "../ApexParser";
export declare class SyntaxErrorCounter implements ANTLRErrorListener<Token> {
    numErrors: number;
    syntaxError(recognizer: Recognizer<Token, any>, offendingSymbol: Token, line: number, charPositionInLine: number, msg: string, e: RecognitionException | undefined): any;
    getNumErrors(): number;
}
export declare function createParser(userData: string, input: string): [ApexParser, SyntaxErrorCounter];
